steps:
  - name: build
    image: thesandwich-build
    environment:
      PNPM_HOME: /var/woodpecker/pnpm
      PARCEL_WORKERS: 0
    commands:
      - corepack enable
      - pnpm install
      - pnpm run build --no-cache
      - rm -rf /var/woodpecker/thesandwich/*
      - mkdir -p /var/woodpecker/thesandwich/
      - mv dist/* /var/woodpecker/thesandwich/
    volumes:
      - /var/woodpecker:/var/woodpecker
      - /usr/share/fonts:/usr/share/fonts
      - /usr/lib/helix/runtime/:/usr/lib/helix/runtime/
